<?php

class Ordendetencion extends CActiveRecord
{
	
	public function tableName()
	{
		return 'ordendetencion';
	}

	public function rules()
	{
		return array(
			array('cas_ruc, fun_rut', 'required'),
			array('fis_codigo, ode_dias_orden_detencion', 'numerical', 'integerOnly'=>true),
			array('cas_ruc', 'length', 'max'=>100),
			array('ode_rif', 'length', 'max'=>50),
			array('ode_rut_imputado', 'length', 'max'=>13),
			array('ode_nombre_imputado', 'length', 'max'=>150),
			array('fun_rut', 'length', 'max'=>12),
			array('ode_fecha_recepcion, ode_fecha_prision_pre, ode_fecha_filtro', 'safe'),
			array('ode_codigo, fis_codigo, cas_ruc, ode_rif, ode_fecha_recepcion, ode_rut_imputado, ode_nombre_imputado, ode_fecha_prision_pre, fun_rut, ode_dias_orden_detencion, ode_fecha_filtro', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
		);
	}

	public function attributeLabels()
	{
		return array(
			'ode_codigo' => 'Ode Codigo',
			'fis_codigo' => 'Fis Codigo',
			'cas_ruc' => 'Ruc',
			'ode_rif' => 'Ode Rif',
			'ode_fecha_recepcion' => 'Ode Fecha Recepcion',
			'ode_rut_imputado' => 'Rut Imputado',
			'ode_nombre_imputado' => 'Nombre Imputado',
			'ode_fecha_prision_pre' => 'Fecha Prision Preventiva',
			'fun_rut' => 'Fun Rut',
			'ode_dias_orden_detencion' => 'Dias Orden Detencion',
			'ode_fecha_filtro' => 'Ode Fecha Filtro',
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('ode_codigo',$this->ode_codigo);
		$criteria->compare('fis_codigo',$this->fis_codigo);
		$criteria->compare('cas_ruc',$this->cas_ruc,true);
		$criteria->compare('ode_rif',$this->ode_rif,true);
		$criteria->compare('ode_fecha_recepcion',$this->ode_fecha_recepcion,true);
		$criteria->compare('ode_rut_imputado',$this->ode_rut_imputado,true);
		$criteria->compare('ode_nombre_imputado',$this->ode_nombre_imputado,true);
		$criteria->compare('ode_fecha_prision_pre',$this->ode_fecha_prision_pre,true);
		$criteria->compare('fun_rut',$this->fun_rut,true);
		$criteria->compare('ode_dias_orden_detencion',$this->ode_dias_orden_detencion);
		$criteria->compare('ode_fecha_filtro',$this->ode_fecha_filtro,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
